Disable Gate
curl --request PUT \
--url https://statsigapi.net/console/v1/gates/{id}/disable \
--header 'STATSIG-API-KEY: <api-key>'import requests
url = "https://statsigapi.net/console/v1/gates/{id}/disable"
headers = {"STATSIG-API-KEY": "<api-key>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {'STATSIG-API-KEY': '<api-key>'}};
fetch('https://statsigapi.net/console/v1/gates/{id}/disable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Gate updated successfully.",
"data": {
"id": "a_gate",
"name": "A Gate",
"description": "description",
"idType": "userID",
"lastModifierID": "1vaQaBoLlkauH9iiuOSBP2",
"lastModifiedTime": 1705626260086,
"lastModifierName": "CONSOLE API",
"lastModifierEmail": null,
"creatorID": "1vaQaBoLlkauH9iiuOSBP2",
"createdTime": 1705450774719,
"creatorName": "CONSOLE API",
"creatorEmail": null,
"targetApps": [],
"holdoutIDs": [],
"tags": [],
"isEnabled": false,
"status": "Launched",
"rules": [],
"checksPerHour": 0,
"type": "PERMANENT",
"typeReason": "NONE",
"team": null,
"reviewSettings": {
"requiredReview": false,
"allowedReviewers": []
},
"measureMetricLifts": true,
"owner": {
"ownerID": "user123",
"ownerName": "CONSOLE API",
"ownerType": "SDK_KEY",
"ownerEmail": ""
},
"monitoringMetrics": []
}
}Gates
Disable Gate
PUT
/
console
/
v1
/
gates
/
{id}
/
disable
Disable Gate
Authorizations
Headers
Optional header to respect review settings for mutation endpoints.
Path Parameters
id
⌘I

